import { type Static } from '@sinclair/typebox';
import type { FetchError } from './FetchError.js';
import { type ValidationError } from './validatedFetch.js';
export declare const lat: import("@sinclair/typebox").TNumber;
export declare const lng: import("@sinclair/typebox").TNumber;
export declare const accuracy: import("@sinclair/typebox").TNumber;
/**
 * @link https://api.nrfcloud.com/v1/#tag/Ground-Fix
 */
export declare const GroundFixType: import("@sinclair/typebox").TObject<{
    lat: import("@sinclair/typebox").TNumber;
    lon: import("@sinclair/typebox").TNumber;
    uncertainty: import("@sinclair/typebox").TNumber;
    fulfilledWith: import("@sinclair/typebox").TLiteral<"SCELL">;
}>;
export declare const groundFix: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => (cell: {
    mcc: number;
    mnc: string;
    eci: number;
    tac: number;
    rsrp?: number;
}) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: Static<typeof GroundFixType>;
}>;
